textures/textures/ut4_glug/newmetal/whitemetal2
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/newmetal/whitemetal2.jpg
        blendFunc filter
    }
}
textures/ut4_glug/floors/holed_grid
{
	qer_editorimage textures/ut4_glug/floors/holed_metal.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/ut4_glug/floors/holed_metal.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/ut4_glug/water/watercaulk
{
        qer_nocarve
        qer_trans 0.40
        qer_editorimage textures/ut4_glug_b10/water/watercaulk.tga
        surfaceparm nodraw
        surfaceparm nolightmap
        surfaceparm nonsolid
        surfaceparm trans
        surfaceparm nomarks
        surfaceparm water
}














// Parts of the thrombombifier (funny word)

textures/ut4_glug/structures/glowingbit	
{
	qer_editorimage textures/ut4_glug/structures/bluelight.tga
	q3map_bounceScale 0.0
	surfaceparm slick
	surfaceparm nodamage
	surfaceparm detail
	surfaceparm trans
	q3map_surfacelight 2000
	q3map_forcemeta
	q3map_lightimage  textures/ut4_glug/structures/bluelight.tga
	{
		map textures/ut4_glug/structures/bluelight.tga
	}
	{
		map textures/ut4_glug/water/deep_bubbles2.tga
		blendfunc GL_DST_COLOR GL_ONE
		tcMod scroll -0.05 1.4
		tcMod turb 0 0.01 0 0.5
		alphaFunc GE128
	}
	{
		map textures/ut4_glug/water/deep_bubbles.tga
		blendfunc GL_DST_COLOR GL_ZERO
		tcMod scroll 0.05 2.6
		alphaFunc GE128
	}
}



textures/ut4_glug/chromey
{
	q3map_forcemeta
	qer_editorimage textures/ut4_glug/doors/rams.tga
	{
		map textures/ut4_glug/doors/rams.tga
	}
	{
    		map textures/ut4_glug/misc/shine.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE
   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_glug/redplastic
{
	q3map_forcemeta
	qer_editorimage textures/ut4_glug/boat/redplastic.jpg
	surfaceparm nodamage
	{
		map textures/ut4_glug/boat/redplastic.jpg
		rgbGen identity

	}
	{
    		map textures/ut4_glug/boat/skyreflection.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE

   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		//depthFunc equal
	}
}

textures/common/ladder
{
   qer_editorimage textures/common/ladder.jpg
   qer_trans .40
   surfaceparm ladder
   surfaceparm nodraw
   surfaceparm nolightmap
   surfaceparm nonsolid
   surfaceparm trans
   surfaceparm nomarks
   surfaceparm noimpact
   surfaceparm playerclip
}

textures/ut4_glug/machines/fanblade
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	cull disable
	{
		clampmap textures/ut4_glug/machines/fanblade.tga
		rgbGen identity
		tcMod rotate 1420
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}

///////////////////////////////////////////////////////////////
// The water
///////////////////////////////////////////////////////////////
textures/ut4_glug/water
{
	qer_editorimage textures/ut4_glug/water/pool3d_3e.tga
	qer_trans 0.1
	q3map_fancywater .4 1 1 1
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	deformVertexes wave 64 sin 1 1 0 .5	
	{ 
		map textures/ut4_glug/water/pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale 2 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/ut4_glug/water/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
}



textures/ut4_glug/misc/neighbours
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/misc/neighbours
        blendFunc filter
    }
}

textures/ut4_glug/walls/welcome_to_glug
{
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
    surfaceparm trans
    q3map_surfacelight 1800
    q3map_lightimage  textures/ut4_glug/walls/welcome_to_glug.jpg
    {
        map textures/ut4_glug/walls/welcome_to_glug.jpg
    }

}

textures/ut4_glug/newmetal/bigsquare
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/newmetal/bigsquare.jpg
        blendFunc filter
    }
}

textures/ut4_glug/newmetal/bigsquare2
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/newmetal/bigsquare2.jpg
        blendFunc filter
    }
}

textures/ut4_glug/newmetal/striphorz
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/newmetal/striphorz.jpg
        blendFunc filter
    }
}

textures/ut4_glug/newmetal/whitemetal1
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/newmetal/whitemetal1.jpg
        blendFunc filter
    }
}

textures/ut4_glug/newmetal/whitemetal2
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/newmetal/whitemetal2.jpg
        blendFunc filter
    }
}

textures/ut4_glug/newmetal/whitemetal3
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/newmetal/whitemetal3.jpg
        blendFunc filter
    }
}

textures/ut4_glug/newmetal/whitewide1
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/newmetal/whitewide1.jpg
        blendFunc filter
    }
}

textures/ut4_glug/newmetal/whitewide2
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/newmetal/whitewide2.jpg
        blendFunc filter
    }
}


textures/ut4_glug/walls/wall1
{
    qer_editorimage textures/ut4_glug/walls/wall1.tga
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/walls/wall1.tga
        blendFunc filter
    }
}
textures/ut4_glug/walls/wall2
{
     qer_editorimage textures/ut4_glug/walls/whitewall.jpg
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/walls/whitewall.jpg
        blendFunc filter
    }
}

textures/ut4_glug/misc/another_panel
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/misc/another_panel.jpg
        blendFunc filter
    }
}
textures/ut4_glug/walls/warning_wall
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/walls/warning_wall.tga
        blendFunc filter
    }
}
textures/ut4_glug/floors/grill1
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/floors/grill1.tga
        blendFunc filter
    }
}
textures/ut4_glug/floors/step
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/floors/step.tga
        blendFunc filter
    }
}
textures/ut4_glug/floors/walkway
{
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/floors/walkway.tga
        blendFunc filter
    }
}

textures/ut4_glug/misc/bedsheet
{
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/misc/bedsheet.jpg
        blendFunc filter
    }
}

textures/ut4_glug/floors/cross_walkway
{
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/floors/cross_walkway.tga
        blendFunc filter
    }
}


textures/ut4_glug/structures/flourlight
{
    qer_editorimage textures/ut4_glug/structures/flourlight.tga
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
    surfaceparm trans
    q3map_surfacelight 8000
    tesssize 4
    q3map_lightimage  textures/ut4_glug/structures/flourlight.tga
    {
        map textures/ut4_glug/structures/flourlight.tga
    }
}


textures/ut4_glug/light_redflash
{
	q3map_lightimage textures/ut4_glug/misc/lightframe_orange.jpg
	qer_editorimage textures/ut4_glug/misc/light_red.tga
	q3map_surfacelight 4000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_glug/misc/lightframe_orange.jpg
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/ut4_glug/misc/lightframe_orange.jpg
		blendFunc add
		rgbGen wave square .5 .5 0 1
	}
}



////////////////////////////////////////////////////////////////////////////
// The ceiling light with a nice frame
////////////////////////////////////////////////////////////////////////////
textures/ut4_glug/misc/ceilinglightwhite
{
	qer_editorimage textures/ut4_glug/misc/lightframe_white.jpg
	light 1
	surfaceparm nomarks
	q3map_surfacelight 6000
	q3map_lightimage textures/ut4_glug/structures/flourlight.tga

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/ut4_glug/misc/lightframe_white.jpg
	}
}


textures/ut4_glug/misc/round_light
{
	qer_editorimage textures/ut4_glug/misc/round_light.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 6000
	q3map_lightimage textures/ut4_glug/misc/round_light.tga

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/ut4_glug/misc/round_light.tga
	}
}


textures/ut4_glug/misc/ceilinglightyellow
{
	qer_editorimage textures/ut4_glug/misc/lightframe_offwhite.jpg
	light 1
	surfaceparm nomarks
	q3map_surfacelight 5000
	q3map_lightimage textures/ut4_glug/structures/flourlight.tga

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/ut4_glug/misc/lightframe_offwhite.jpg
	}
}
textures/ut4_glug/misc/ceilinglightred
{
	qer_editorimage textures/ut4_glug/misc/lightframe_orange.jpg
	light 1
	surfaceparm nomarks
	q3map_surfacelight 5000
	q3map_lightimage textures/ut4_glug/structures/flourlight.tga

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/ut4_glug/misc/lightframe_orange.jpg
	}
}


textures/ut4_glug/misc/lightframe
{
	qer_editorimage textures/ut4_glug/misc/lightframe.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/ut4_glug/misc/lightframe.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
// The long lighting strip in the walls of white section

textures/ut4_glug/walls/lighting_strip
{
	qer_editorimage textures/ut4_glug/walls/lighting_strip.jpg
	light 1
	surfaceparm nomarks
	q3map_surfacelight 3800
	q3map_lightimage textures/ut4_glug/structures/flourlight.tga

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/ut4_glug/walls/lighting_strip.jpg
	}
}

textures/ut4_glug/glassclear
{
	qer_editorimage textures/ut4_glug/misc/glasstint.tga
	qer_trans .5
	surfaceparm trans
    {
		map textures/ut4_glug/misc/glasstint.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbGen identity
		}
		{
		map $lightmap
		blendFunc gl_dst_color gl_zero
		rgbgen identity
		}
}



textures/ut4_glug/misc/rusty_ladder
{	
    qer_editorimage textures/ut4_glug/misc/rusty_ladder.tga
	surfaceparm alphashadow
	nopicmip
	cull none
	{
		map textures/ut4_glug/misc/rusty_ladder.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}


////////////////////////////////////////////////////////////////////
// Wires hanging thing and other rubble
////////////////////////////////////////////////////////////////////
textures/ut4_glug/busted/rubble2
{	
    qer_editorimage textures/ut4_glug/busted/rubble2.tga
	surfaceparm alphashadow
	nopicmip
	cull none
	deformVertexes wave 5 sin 0 .2 0 .3
	{
		map textures/ut4_glug/busted/rubble2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}
textures/ut4_glug/busted/rubble1
{	
    qer_editorimage textures/ut4_glug/busted/rubble1.tga
	surfaceparm alphashadow
	nopicmip
	cull none
	deformVertexes wave 5 sin 0 .2 0 .3
	{
		map textures/ut4_glug/busted/rubble1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}
textures/ut4_glug/decals/sunnewspaper
{
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/decals/sunnewspaper.tga
        blendFunc filter
    }
}

////////////////////////////////////////////////////////////////////
// Decals for walls
////////////////////////////////////////////////////////////////////
textures/ut4_glug/decals/danger_high_voltage
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/danger_high_voltage.jpg
	   blendfunc filter
	}
}


textures/ut4_glug/decals/toolwall
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/toolwall.jpg
	   blendfunc filter
	}
}


textures/ut4_glug/decals/johnny
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/johnny.jpg
	   blendfunc filter
	}
}


textures/ut4_glug/decals/thrombomtem
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/thrombomtem.jpg
	   blendfunc filter
	}
}

textures/ut4_glug/decals/red1
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/red1.jpg
	   blendfunc filter
	}
}
textures/ut4_glug/decals/red2
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/red2.jpg
	   blendfunc filter
	}
}
textures/ut4_glug/decals/red3
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/red3.jpg
	   blendfunc filter
	}
}
textures/ut4_glug/decals/red4
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/red4.jpg
	   blendfunc filter
	}
}
textures/ut4_glug/decals/red5
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/red5.jpg
	   blendfunc filter
	}
}

textures/ut4_glug/decals/yellow1
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/yellow1.jpg
	   blendfunc filter
	}
}
textures/ut4_glug/decals/yellow2
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/yellow2.jpg
	   blendfunc filter
	}
}
textures/ut4_glug/decals/yellow3
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/yellow3.jpg
	   blendfunc filter
	}
}
textures/ut4_glug/decals/yellow4
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/yellow4.jpg
	   blendfunc filter
	}
}
textures/ut4_glug/decals/yellow5
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/yellow5.jpg
	   blendfunc filter
	}
}
textures/ut4_glug/decals/green1
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/green1.jpg
	   blendfunc filter
	}
}
textures/ut4_glug/decals/green2
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/green2.jpg
	   blendfunc filter
	}
}
textures/ut4_glug/decals/green3
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/green3.jpg
	   blendfunc filter
	}
}
textures/ut4_glug/decals/green4
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/green4.jpg
	   blendfunc filter
	}
}
textures/ut4_glug/decals/green5
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/green5.jpg
	   blendfunc filter
	}
}

textures/ut4_glug/decals/greenchevron
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/greenchevron.jpg
	   blendfunc filter
	}
}
textures/ut4_glug/decals/yellowchevron
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/yellowchevron.jpg
	   blendfunc filter
	}
}
textures/ut4_glug/decals/redchevron
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/redchevron.jpg
	   blendfunc filter
	}
}


textures/ut4_glug/floors/hexagonfloor
{
     qer_editorimage textures/ut4_glug/floors/hexagonfloor.jpg
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/floors/hexagonfloor.jpg
        blendFunc filter
    }
}
/////////////////////////////////////////////////////////
// Places that you might go
/////////////////////////////////////////////////////////
textures/ut4_glug/decals/signs/engineering
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/signs/engineering.tga
	   blendfunc filter
	}
}

textures/ut4_glug/decals/signs/lowerdeck
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/signs/lowerdeck.tga
	   blendfunc filter
	}
}
textures/ut4_glug/decals/signs/pumps
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/signs/pumps.tga
	   blendfunc filter
	}
}

textures/ut4_glug/decals/signs/restareas
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/signs/restareas.tga
	   blendfunc filter
	}
}
textures/ut4_glug/decals/signs/servers
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/signs/servers.tga
	   blendfunc filter
	}
}
textures/ut4_glug/decals/signs/storage
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
       map textures/ut4_glug/decals/signs/storage.tga
	   blendfunc filter
	}
}
textures/ut4_glug/decals/signs/surface
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/signs/surface.tga
	   blendfunc filter
	}
}
textures/ut4_glug/decals/signs/welcome
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/signs/welcome.tga
	   blendfunc filter
	}
}

textures/ut4_glug/decals/signs/generators
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/signs/generators.tga
	   blendfunc filter
	}
}


// YOU ARE HERE MAPS

textures/ut4_glug/walls/map1
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/walls/map1.tga
		blendfunc filter
	}
}
// Helicopter pad
textures/ut4_glug/decals/hpad
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/hpad.jpg
	   blendfunc filter
	}
}
// Instructions panel

textures/ut4_glug/decals/signs/instructions
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/signs/instructions.jpg
	   blendfunc filter
	}
}
textures/ut4_glug/decals/desertia
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
         map textures/ut4_glug/decals/desertia.jpg
	   blendfunc filter
	}
}
/////////////////////////////////////////////////////////////////
// Waters and effects
/////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////
// Surface boat model textures
/////////////////////////////////////////////////////////////////
textures/ut4_glug/boat/cat
{
	q3map_forcemeta
	qer_editorimage textures/ut4_glug/boat/fibreglass.jpg
	surfaceparm nodamage
	{
		map textures/ut4_glug/boat/fibreglass.jpg
		rgbGen identity

	}
	{
    		map textures/ut4_glug/boat/skyreflection.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE

   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		//depthFunc equal
	}
}
textures/ut4_glug/boat/beigematte
{
	q3map_forcemeta
	qer_editorimage textures/ut4_glug/boat/beigematte.jpg
	surfaceparm nodamage
	{
		map textures/ut4_glug/boat/beigematte.jpg
		rgbGen identity

	}
	{
    		map textures/ut4_glug/boat/skyreflection.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE

   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		//depthFunc equal
	}
}
textures/ut4_glug/boat/whitehull
{
	q3map_forcemeta
	qer_editorimage textures/ut4_glug/boat/steelhull.jpg
	surfaceparm nodamage
	{
		map textures/ut4_glug/boat/steelhull.jpg
		rgbGen identity

	}
	{
    		map textures/ut4_glug/boat/skyreflection.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE

   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		//depthFunc equal
	}
}
textures/ut4_glug/boat/deck
{
	q3map_forcemeta
	qer_editorimage textures/ut4_glug/boat/deckwood.jpg
	surfaceparm nodamage
	{
		map textures/ut4_glug/boat/deckwood.jpg
		rgbGen identity

	}
	{
    		map textures/ut4_glug/boat/skyreflection.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE

   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		//depthFunc equal
	}
}
textures/ut4_glug/boat/redplastic
{
	q3map_forcemeta
	qer_editorimage textures/ut4_glug/boat/redplastic.jpg
	surfaceparm nodamage
	{
		map textures/ut4_glug/boat/redplastic.jpg
		rgbGen identity

	}
	{
    		map textures/ut4_glug/boat/skyreflection.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE

   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		//depthFunc equal
	}
}
/////////////////////////////////////////////////////////////////////////////
// Other models shaders
/////////////////////////////////////////////////////////////////////////////
textures/ut4_glug/structures/thframe
{
	q3map_forcemeta
	surfaceparm playerclip
	qer_editorimage textures/ut4_glug/doors/rams.tga
	{
		map textures/ut4_glug/doors/rams.tga
	}
	{
    		map textures/ut4_glug/misc/shine.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE
   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_glug/structures/ringo
{
	q3map_forcemeta
	surfaceparm playerclip
	qer_editorimage textures/ut4_glug/doors/rams.tga
	{
		map textures/ut4_glug/doors/rams.tga
	}
	{
    		map textures/ut4_glug/misc/shine.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE
   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

///////////////////////////////////////////////////////
// Sky boxes
///////////////////////////////////////////////////////
textures/ut4_glug/water/waterbox
 {
 	qer_editorimage textures/ut4_glug/water/underwater_dn.jpg
 	skyparms textures/ut4_glug/water/underwater 512 -
 	surfaceparm 	sky
 	surfaceparm 	noimpact
 	surfaceparm 	nolightmap
 	surfaceparm	nomarks
	q3map_sunExt 1 0.86 0.67 350 -102 40 2 16
 	q3map_lightmapFilterRadius 0 160
 	q3map_skyLight 60 3
}

textures/ut4_glug/underwatersky
 {
 	qer_editorimage textures/ut4_glug/sky/underwater_sky.tga
 	skyparms textures/ut4_glug/sky/sky 512 -
 	q3map_sunExt 1 0.86 0.67 350 -102 40 2 16
 	q3map_lightmapFilterRadius 0 160
 	q3map_skyLight 20 4
 	surfaceparm 	sky
 	surfaceparm 	noimpact
 	surfaceparm 	nolightmap
 	surfaceparm	nomarks

}

textures/ut4_glug/videowall
{
	qer_editorImage textures/ut4_glug/misc/shine.jpg
	surfaceparm nolightmap
	{
		videoMap video_wall.roq
		rgbGen identity
	}
}

// Metal for the airducts with bump and normals

textures/ut4_glug/airduct/airduct1
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/airduct/airduct1.tga
        blendFunc filter
    }
}
textures/ut4_glug/airduct/airduct2
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/airduct/airduct2.tga
        blendFunc filter
    }
}

textures/ut4_glug/airduct/airduct_grill
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/airduct/airduct_grill.tga
        blendFunc filter
    }
}



// The girder lattice
textures/ut4_glug/surface/boxsection
{	
    qer_editorimage textures/ut4_glug/surface/boxsection.tga
	surfaceparm alphashadow
	nopicmip
	cull none
	{
		map textures/ut4_glug/surface/boxsection.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}
textures/ut4_glug/surface/boltstrip
{	
    qer_editorimage textures/ut4_glug/surface/boltstrip.tga
	surfaceparm alphashadow
	nopicmip
	cull none
	{
		map textures/ut4_glug/surface/boltstrip.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}
textures/ut4_glug/surface/craneside
{	
    qer_editorimage textures/ut4_glug/surface/craneside.tga
	surfaceparm alphashadow
	nopicmip
	cull none
	{
		map textures/ut4_glug/surface/craneside.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}

// Canteen kitchen lower deck stuff

textures/ut4_glug/canteen/formica
{
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/canteen/formica.jpg
        blendFunc filter
    }
}

textures/ut4_glug/canteen/greenmetal
{
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/canteen/greenmetal.jpg
        blendFunc filter
    }
}

textures/ut4_glug/misc/chainlink
{
	qer_editorimage textures/ut4_glug/misc/chain.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	deformVertexes autosprite2
	nopicmip
	{
		map textures/ut4_glug/misc/chain.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_glug/misc/chainfence
{
	qer_editorimage textures/ut4_glug/misc/fence.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/ut4_glug/misc/fence.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// Illuminated signs

textures/ut4_glug/decals/smallsigns/exit_clean
{
	qer_editorimage textures/ut4_glug/decals/smallsigns/exit_clean.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 800
	q3map_lightimage textures/ut4_glug/decals/smallsigns/exit_clean.tga

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/ut4_glug/decals/smallsigns/exit_clean.tga
	}
}
textures/ut4_glug/decals/smallsigns/exit_dirty
{
	qer_editorimage textures/ut4_glug/decals/smallsigns/exit_dirty.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 800
	q3map_lightimage textures/ut4_glug/decals/smallsigns/exit_dirty.tga

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/ut4_glug/decals/smallsigns/exit_dirty.tga
	}
}

textures/ut4_glug/decals/smallsigns/exit_side
{
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/decals/smallsigns/exit_side.tga
        blendFunc filter
    }
}

textures/ut4_glug/decals/smallsigns/shock_dirty
{
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/decals/smallsigns/shock_dirty.tga
        blendFunc filter
    }
}

textures/ut4_glug/decals/smallsigns/wires_dirty
{
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/decals/smallsigns/wires_dirty.tga
        blendFunc filter
    }
}


textures/ut4_glug/decals/smallsigns/above_dirty
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
    {
        map textures/ut4_glug/decals/smallsigns/above_dirty.tga
        blendFunc filter
    }
}

// Pillow texture

textures/ut4_glug/misc/pillow
{
	q3map_lightmapsampleoffset 8
	q3map_lightmapmergable
	q3map_lightRGB  1 1 1
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_forcemeta
    qer_editorimage textures/ut4_glug/misc/pillow.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_glug/misc/pillow.jpg
		alphaFunc GT0
		blendFunc filter
	}
}

